#!/bin/bash
#author:Cristiano Siqueira
#descricao:Automatiza o backup da pasta sigpdv e banco postgres.
#Revisao:

user=`whoami`

if [[ $user == "root" ]]; then

    echo "Iniciando processo de backup do caixa."
    sleep 3

    echo "Verificando numero do caixa!!"
    sleep 3
    cat /usr/local/sigpdv/pdvconfig.cfg | grep caixa

    echo "Digite o numero do caixa: "
    read cx

    #echo "|----------------------------|"
    #echo "|   O caixa tem TEF Nuvem?   |"
    #echo "|  (1) - Tem TEF Nuvem!      |"
    #echo "|  (2) - Não tem TEF Nuvem!  |"
    #echo "|----------------------------|"
    #read tefnuvem

    #if [[ $tefnuvem == 1 ]]; then
    #case $tefnuvem in 1)
    #    ;;
    #esac

    #fi

    cat -n /usr/local/sigpdv/pdvconfig.cfg | grep -n ^ | grep ^8: | cut -d: -f2
    cat -n /usr/local/sigpdv/pdvconfig.cfg | grep -n ^ | grep ^9: | cut -d: -f2
    cat -n /usr/local/sigpdv/pdvconfig.cfg | grep -n ^ | grep ^10: | cut -d: -f2
    cat -n /usr/local/sigpdv/pdvconfig.cfg | grep -n ^ | grep ^11: | cut -d: -f2
    cat -n /usr/local/sigpdv/pdvconfig.cfg | grep -n ^ | grep ^12: | cut -d: -f2
    cat -n /usr/local/sigpdv/pdvconfig.cfg | grep -n ^ | grep ^13: | cut -d: -f2
    cat -n /usr/local/sigpdv/pdvconfig.cfg | grep -n ^ | grep ^14: | cut -d: -f2
    cat -n /usr/local/sigpdv/pdvconfig.cfg | grep -n ^ | grep ^15: | cut -d: -f2
    cat -n /usr/local/sigpdv/pdvconfig.cfg | grep -n ^ | grep ^16: | cut -d: -f2
    cat -n /usr/local/sigpdv/pdvconfig.cfg | grep -n ^ | grep ^17: | cut -d: -f2
    cat -n /usr/local/sigpdv/pdvconfig.cfg | grep -n ^ | grep ^18: | cut -d: -f2
    cat -n /usr/local/sigpdv/pdvconfig.cfg | grep -n ^ | grep ^19: | cut -d: -f2

    psql -U postgres -l

    echo "Qual o nome do banco do caixa para backup?"
    read bpdv

    echo "Qual o nome do banco do supervisor para backup?"
    read bsup

    echo " "
    echo "Fazendo backup da pasta sigpdv:"
    echo " "
    sleep 3

    mkdir /tmp/bkpcx$cx/
    chmod 777 /tmp/bkpcx$cx/
    cd /usr/local/
    tar cfvz sigpdv_$cx.tar.gz sigpdv
    cp sigpdv_$cx.tar.gz /tmp/bkpcx$cx

    cp /etc/wnbtlscli/registry /tmp/bkpcx$cx/
    cp -r /usr/local/scanntech /tmp/bkpcx$cx/
    cp -r /backup /tmp/bkpcx$cx/
    cp /etc/openerp-server.conf /tmp/bkpcx$cx/
    cp /etc/rc.local /tmp/bkpcx$cx/
    cp /etc/crontab /tmp/bkpcx$cx/

    echo " "
    echo "Criando dump do PDV. . ."
    echo " "
    sleep 3

    pg_dump --host localhost --port 5432 --username "postgres" --role "postgres" --format custom --blobs --verbose --file /tmp/bkpcx$cx/sigpdv_$cx.dump $bpdv

    echo " "
    echo "Criando dump do Supervisor. . ."
    echo " "
    sleep 3

    pg_dump --host localhost --port 5432 --username "openerp" --role "openerp" --format custom --blobs --verbose --file /tmp/bkpcx$cx/$bsup.dump $bsup

    echo " "
    echo "Arquivos criados na pasta de backup:"
    echo " "
    ls -lha /tmp/bkpcx$cx/
    sleep 3

    echo " "
    echo "Salvando pasta bkpcx$cx e seu conteúdo na pasta /recebe/"
    echo " "
    cp -r /tmp/bkpcx$cx/ /recebe/
    sleep 3

    echo " "
    echo " "
    echo "          ---------"
    echo "          |  FIM  |"
    echo "          ---------"
    echo " "
    exit

else
    clear
    echo "Execute este aplicatvo como Root, por favor."
    exit
fi
